rio-0.1.22.0: A standard library for Haskell

Safe Haskell | Safe-Inferred
Language | Haskell2010

RIO.Set.Unchecked

Contents

- Map
- Ordered list

Description

This module contains functions from Data.Set that have unchecked preconditions on their input. If these preconditions are not satisfied, the data structure may end up in an invalid state and other operations may misbehave. Import as:

    import qualified RIO.Set.Unchecked as Set'

Synopsis

- mapMonotonic :: (a -> b) -> Set a -> Set b
- fromAscList :: Eq a => [a] -> Set a
- fromDescList :: Eq a => [a] -> Set a
- fromDistinctAscList :: [a] -> Set a
- fromDistinctDescList :: [a] -> Set a

# Map

mapMonotonic :: (a -> b) -> Set a -> Set b #

# Ordered list

fromAscList :: Eq a => [a] -> Set a #

fromDescList :: Eq a => [a] -> Set a #

fromDistinctAscList :: [a] -> Set a #

fromDistinctDescList :: [a] -> Set a #